# Class AuthorizationService

- Defined in authorization.service.ts:18

#####
Index

### Constructors

constructor

### Properties

disabled
permissions$

### Methods

checkPermission
getPermissions
getPermissions$
hasPermission
hasPermission$
setPermissions

##
Constructors

### constructor

- new AuthorizationService(): AuthorizationService

  #### Returns AuthorizationService

##
Properties

### `Readonly` disabled

disabled: boolean = ...

- Defined in authorization.service.ts:22

### `Protected` `Readonly` permissions$

permissions$: BehaviorSubject<string[]> = ...

- Defined in authorization.service.ts:20

##
Methods

### checkPermission

- checkPermission(
  identifier: string | string[],
  permissions: string[],
  scope?: null | string,
  ): boolean

  #### Parameters

  - identifier: string | string[]
  - permissions: string[]
  - `Optional` scope: null | string

  #### Returns boolean

  - Defined in authorization.service.ts:28

### getPermissions

- getPermissions(): string[]

  #### Returns string[]

  - Defined in authorization.service.ts:130

### getPermissions$

- getPermissions$(): Observable<string[]>

  #### Returns Observable<string[]>

  - Defined in authorization.service.ts:126

### hasPermission

- hasPermission(
  identifier: string | string[],
  scope?: null | string,
  ignorePermissionList?: string[],
  ): boolean

  #### Parameters

  - identifier: string | string[]
  - `Optional` scope: null | string
  - `Optional` ignorePermissionList: string[]

  #### Returns boolean

  - Defined in authorization.service.ts:113

### hasPermission$

- hasPermission$(
  identifier: string | string[],
  scope?: null | string,
  ignorePermissionList?: string[],
  ): Observable<boolean>

  #### Parameters

  - identifier: string | string[]
  - `Optional` scope: null | string
  - `Optional` ignorePermissionList: string[]

  #### Returns Observable<boolean>

  - Defined in authorization.service.ts:97

### setPermissions

- setPermissions(permissions: string[]): void

  #### Parameters

  - permissions: string[]

  #### Returns void

  - Defined in authorization.service.ts:24